% This files plots figure 3

Y = importdata('BOUND2.out');
YP = importdata('BOUND2P.out');

STRIKE = Y(:,1);
PRICE = Y(:,2);
BOUND = Y(:,3);

STRIKEP = YP(:,1);
PRICEP = YP(:,2);

d = 10; % dilatation factor

UP = PRICE + d*BOUND;
LOW = PRICE - d*BOUND;



plot(STRIKE,PRICE,'--g',STRIKE,LOW,'-b',STRIKE,UP,'-b',STRIKEP,PRICEP,'or');
%set(gca,'xtick',[0.86 0.88 0.90 0.92 .94 .96 .98 1 1.02 1.04 1.06 1.08 1.1 1.12 1.14]);
set(gca,'fontsize',12);
set(gca,'xtick',[0.80 0.85 0.90 0.95 1 1.05 1.10 1.15 1.20 1.25]);
set(gca,'ytick',[0 0.025 .05 .075 .1 .125 .15 0.175 .20]);
xlabel('Moneyness strike');
ylabel('Call price');
xlim([0.80 1.28]);
ylim([-0.010 .22]);
   